Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.action
Class EntityIdentityInsertAction

    java.lang.Object
      org.hibernate.action.EntityAction
          org.hibernate.action.EntityIdentityInsertAction

All Implemented Interfaces:
  Serializable, Comparable, Executable

    public final class EntityIdentityInsertAction

extends EntityAction

See Also:
  Serialized Form

Constructor Summary
`EntityIdentityInsertAction(Object[] state, Object instance, EntityPersister persister, SessionImplementor session, boolean isDelayed)`

Method Summary
`void` | `afterTransactionCompletion(boolean success)` Called after the transaction completes
`void` | `execute()` Execute this action
`EntityKey` | `getDelayedEntityKey()`
`Serializable` | `getGeneratedId()`
`boolean` | `hasAfterTransactionCompletion()` Do we need to retain this instance until after the transaction completes?
`protected boolean` | `hasPostCommitEventListeners()`

Methods inherited from class org.hibernate.action.EntityAction
`beforeExecutions, compareTo, getEntityName, getId, getInstance, getPersister, getPropertySpaces, getSession, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EntityIdentityInsertAction

    public EntityIdentityInsertAction(Object[] state,
                                      Object instance,
                                      EntityPersister persister,
                                      SessionImplementor session,
                                      boolean isDelayed)
                               throws HibernateException

Throws:
  `HibernateException`

Method Detail

### execute

    public void execute()
                 throws HibernateException

  Description copied from interface: `Executable`
  Execute this action

  Throws:
    `HibernateException`

### afterTransactionCompletion

    public void afterTransactionCompletion(boolean success)
                                    throws HibernateException

  Description copied from interface: `Executable`
  Called after the transaction completes

  Throws:
    `HibernateException`

### hasAfterTransactionCompletion

    public boolean hasAfterTransactionCompletion()

  Description copied from interface: `Executable`
  Do we need to retain this instance until after the transaction completes?

  Specified by:
    `hasAfterTransactionCompletion` in interface `Executable`
  Overrides:
    `hasAfterTransactionCompletion` in class `EntityAction`
  Returns:
    false if this class defines a no-op `hasAfterTransactionCompletion()`

### hasPostCommitEventListeners

    protected boolean hasPostCommitEventListeners()

  Specified by:
    `hasPostCommitEventListeners` in class `EntityAction`

### getGeneratedId

    public final Serializable getGeneratedId()

### getDelayedEntityKey

    public EntityKey getDelayedEntityKey()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD